# Hall of Fame

`Segmentation Models` package is widely used in the image segmentation competitions.
Here you can find competitions, names of the winners and links to their solutions.

Please, follow these rules, when adding a solution to the "Hall of Fame":

1. Solution should be high rated (e.g. for Kaggle gold or silver medal) 
2. There should be a description of the solution (post at the forum / code / blog post / paper / pre-print)


## Kaggle

### [Severstal: Steel Defect Detection](https://www.kaggle.com/c/severstal-steel-defect-detection)

- 1st place. 
[Wuxi Jiangsu](https://www.kaggle.com/rguo97), 
[Hongbo Zhu](https://www.kaggle.com/zhuhongbo), 
[Yizhuo Yu](https://www.kaggle.com/paffpaffyu)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114254#latest-675874)]

- 5th place. 
[Guanshuo Xu](https://www.kaggle.com/wowfattie)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/117208#latest-675385)]

- 9th place. 
[Jacek Poplawski](https://www.linkedin.com/in/jacekpoplawski/)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114297#latest-660842)]

- 10th place.
[Alexey Rozhkov](https://www.linkedin.com/in/alexisrozhkov)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114465#latest-659615)]

- 12th place. 
[Pavel Yakubovskiy](https://www.linkedin.com/in/pavel-yakubovskiy/), 
[Ilya Dobrynin](https://www.linkedin.com/in/ilya-dobrynin-79a89b106/), 
[Denis Kolpakov](https://www.linkedin.com/in/denis-kolpakov-ab3137197/)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114309#latest-661404)]

- 31st place. 
[Insaf Ashrapov](https://www.linkedin.com/in/iashrapov/), 
[Igor Krashenyi](https://www.linkedin.com/in/igor-krashenyi-38b89b98), 
[Pavel Pleskov](https://www.linkedin.com/in/ppleskov), 
[Anton Zakharenkov](https://www.linkedin.com/in/anton-zakharenkov/), 
[Nikolai Popov](https://www.linkedin.com/in/nikolai-popov-b2157370/)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114383#latest-658438)]
[[code](https://github.com/Diyago/Severstal-Steel-Defect-Detection)]

- 55th place. 
[Karl Hornlund](https://www.linkedin.com/in/karl-hornlund/)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/114410#latest-672682)]
[[code](https://github.com/khornlund/severstal-steel-defect-detection)]

- Efficiency round 1st place.
[Stefan Stefanov](https://www.linkedin.com/in/stefan-stefanov-63a77b1)  
[[description](https://www.kaggle.com/c/severstal-steel-defect-detection/discussion/117486#latest-674229)]


### [Understanding Clouds from Satellite Images](https://www.kaggle.com/c/understanding_cloud_organization)

- 2nd place.
[Andrey Kiryasov](https://www.kaggle.com/ekydna)  
[[description](https://www.kaggle.com/c/understanding_cloud_organization/discussion/118255#latest-678189)]

- 4th place.
[Ching-Loong Seow](https://www.linkedin.com/in/clseow/)  
[[description](https://www.kaggle.com/c/understanding_cloud_organization/discussion/118016#latest-677333)]

- 34th place.
[Karl Hornlund](https://www.linkedin.com/in/karl-hornlund/)  
[[description](https://www.kaggle.com/c/understanding_cloud_organization/discussion/118250#latest-678176)]
[[code](https://github.com/khornlund/understanding-cloud-organization)]

- 55th place.
[Pavel Yakubovskiy](https://www.linkedin.com/in/pavel-yakubovskiy/)  
[[description](https://www.kaggle.com/c/understanding_cloud_organization/discussion/118019#latest-678626)]

## Other platforms

### [MICCAI 2020 TN-SCUI challenge](https://tn-scui2020.grand-challenge.org/Home/)  
- 1st place.
[Mingyu Wang](https://github.com/WAMAWAMA)  
[[description](https://github.com/WAMAWAMA/TNSCUI2020-Seg-Rank1st)]
[[code](https://github.com/WAMAWAMA/TNSCUI2020-Seg-Rank1st)]

### [Open Cities AI Challenge: Segmenting Buildings for Disaster Resilience](https://www.drivendata.org/competitions/60/building-segmentation-disaster-resilience/)
 - 1st place.
[Pavel Yakubovskiy](https://www.linkedin.com/in/pavel-yakubovskiy/).  
[[code and description](https://github.com/qubvel/open-cities-challenge)]

### [Machine Learning based feature extraction of Electrical Substations from Satellite Data ](https://competitions.codalab.org/competitions/32132#learn_the_details)

- 3rd place.

[Aarsh chaube](https://github.com/Aarsh2001)
[[code](https://github.com/Aarsh2001/ML_Challenge_NRSC)]
[[Pre-Print](https://github.com/Aarsh2001/ML_Challenge_NRSC/blob/main/3rd%20Rank%20Submission.pdf)]
